decisions
Create decisions decisions
Requires scopes: traces:write
POST
/
api
/
decisions
Create decisions decisions
curl --request POST \
--url https://evalgate.com/api/decisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"spanId": 123,
"agentName": "<string>",
"decisionType": "action",
"chosen": "<string>",
"alternatives": [
{
"confidence": 123,
"action": "<string>",
"reasoning": "<string>",
"rejectedReason": "<string>"
}
],
"confidence": 123,
"reasoning": "<string>",
"workflowRunId": 123,
"inputContext": {}
}
'import requests
url = "https://evalgate.com/api/decisions"
payload = {
"spanId": 123,
"agentName": "<string>",
"decisionType": "action",
"chosen": "<string>",
"alternatives": [
{
"confidence": 123,
"action": "<string>",
"reasoning": "<string>",
"rejectedReason": "<string>"
}
],
"confidence": 123,
"reasoning": "<string>",
"workflowRunId": 123,
"inputContext": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
spanId: 123,
agentName: '<string>',
decisionType: 'action',
chosen: '<string>',
alternatives: [
{
confidence: 123,
action: '<string>',
reasoning: '<string>',
rejectedReason: '<string>'
}
],
confidence: 123,
reasoning: '<string>',
workflowRunId: 123,
inputContext: {}
})
};
fetch('https://evalgate.com/api/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"confidence": 123,
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spanId": 123,
"reasoning": "<string>",
"workflowRunId": 123,
"agentName": "<string>",
"decisionType": "<string>",
"chosen": "<string>",
"alternatives": [
{
"action": "<string>",
"confidence": 123,
"reasoning": "<string>",
"rejectedReason": "<string>",
"name": "<string>",
"score": 123
}
],
"inputContext": {
"messages": [
{
"role": "user",
"content": "<string>"
}
],
"state": {}
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
decisionType
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>
required
Available options:
action Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create decisions decisions
